{
  pkgs,
  uefiPackage,
  firmwareBuilder,
}:

pkgs.replaceVarsWith {
  src = ./uefi-builder.sh;
  isExecutable = true;

  replacements = {
    inherit (pkgs) bash;
    path = pkgs.lib.makeBinPath [
      pkgs.coreutils
    ];

    uefi = uefiPackage;
    inherit firmwareBuilder;
  };
}
